For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update purchase order details

Specify a currency when the order is not in local currency. The currency must exist in your foreign currencies. If you leave exchangeRate empty, the exchange rate that is on the foreign currency will be used.

Required permissions: PURCHASE_ORDER

put
/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
purchaseOrderUidstringRequired

Reference to a PurchaseOrder.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
deliveryAddressstringOptional
deliveryCitystringOptional
deliveryCountryCodestringOptional
deliveryNamestringOptional
deliveryPostalCodestringOptional
externalIdstringOptional
notestringOptional
statusstring · enumOptional
ENUMDescription
NEWCreated, but not sent to supplier yet.
SENT_TO_SUPPLIERSent to supplier.
CANCELLED_BY_SUPPLIERThe purchase order have been cancelled by the supplier. This status is only applicable for suppliers who are integrated with FlowRetail.
IN_TRANSITThe goods are in transit. This status is only applicable for suppliers who are integrated with FlowRetail.
PARTIALLY_RECEIVEDNot all goods have been received yet.
RECEIVEDAll goods have been received.
CLOSEDNo longer able to process purchase order.
CANCELLED_BY_SUPPLIERPurchase was cancelled by supplier
Possible values:
supplierUidstringOptionalPattern: ^[A-Za-z0-9-_]+
discountRateintegerOptional
freightintegerOptional
currencystringOptional

ISO 4217 code

exchangeRateintegerOptional
supplierReferenceNumberstringOptional

Supplier reference number

reserveAfterstring · date-time · nullableOptional

If set, items in this purchase order cannot be reserved before this date.

Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
deliveryAddressstringRequired
deliveryCitystringRequired
deliveryCountryCodestringRequired
deliveryNamestringRequired
deliveryPostalCodestringRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
notestringRequired
purchaseNumberstringRequired

Reference to a customer order

purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
NEWCreated, but not sent to supplier yet.
SENT_TO_SUPPLIERSent to supplier.
CANCELLED_BY_SUPPLIERThe purchase order have been cancelled by the supplier. This status is only applicable for suppliers who are integrated with FlowRetail.
IN_TRANSITThe goods are in transit. This status is only applicable for suppliers who are integrated with FlowRetail.
PARTIALLY_RECEIVEDNot all goods have been received yet.
RECEIVEDAll goods have been received.
CLOSEDNo longer able to process purchase order.
CANCELLED_BY_SUPPLIERPurchase was cancelled by supplier
Possible values:
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
supplierUidstringRequiredPattern: ^[A-Za-z0-9-_]+
supplierNamestringRequired
discountRateintegerRequired
freightintegerRequired
supplierReferenceNumberstringRequired

Supplier reference number

reserveAfterstring · date-time · nullableRequired

If set, items in this purchase order cannot be reserved before this date.

hasConfirmedReceivementsbooleanRequired
put/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 615

{
  "deliveryAddress": "text",
  "deliveryCity": "text",
  "deliveryCountryCode": "text",
  "deliveryName": "text",
  "deliveryPostalCode": "text",
  "externalId": "text",
  "note": "text",
  "status": "NEW",
  "supplierUid": "text",
  "discountRate": 1,
  "freight": 1,
  "currency": "text",
  "exchangeRate": 1,
  "items": [
    {
      "purchaseOrderItemUid": "text",
      "quantityReceived": 1,
      "expectedDeliveryDate": "2026-01-01",
      "unitPrice": 1,
      "quantityOrdered": 1
    }
  ],
  "supplierReferenceNumber": "text",
  "invoiceAddress": {
    "companyName": "text",
    "address": "text",
    "postalCode": "text",
    "city": "text",
    "countryCode": "text",
    "vatNumber": "text",
    "email": "text"
  },
  "reserveAfter": "2026-01-01T00:00:00.000Z"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "deliveryAddress": "text",
  "deliveryCity": "text",
  "deliveryCountryCode": "text",
  "deliveryName": "text",
  "deliveryPostalCode": "text",
  "externalId": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "expectedDeliveryDate": "2026-01-01",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "productUid": "text",
      "productName": "text",
      "productSerialNoRequired": "NO",
      "productSku": "text",
      "purchaseOrderItemUid": "text",
      "quantityOrdered": 1,
      "quantityReceived": 1,
      "quantityReserved": 1,
      "supplierSku": "text",
      "interStoreSalesOrder": {
        "orderUid": "text",
        "orderNumber": "text",
        "orderState": "OPEN",
        "storeUid": "text",
        "storeName": "text",
        "orderItemUid": "text",
        "reservationType": "NONE",
        "reservationDetails": {
          "warehouse": {
            "warehouseName": "text"
          },
          "purchaseOrder": {
            "purchaseOrderUid": "text",
            "purchaseOrderItemUid": "text",
            "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
            "purchaseOrderNumber": "text",
            "quantityOrdered": 1,
            "externalId": "text"
          },
          "receivement": {
            "receivementUid": "text",
            "receivementItemUid": "text",
            "expectedArrival": "2026-01-01T00:00:00.000Z",
            "expectedDispatch": "2026-01-01T00:00:00.000Z",
            "quantity": 1,
            "supplierOrderReference": "text",
            "receivedAt": "2026-01-01T00:00:00.000Z"
          },
          "interStorePurchaseOrder": {
            "storeUid": "text",
            "storeName": "text",
            "purchaseOrderUid": "text",
            "purchaseOrderNumber": "text",
            "purchaseOrderItemUid": "text"
          },
          "interStorePurchaseOrderReceivement": {
            "receivementUid": "text",
            "receivementItemUid": "text",
            "expectedArrival": "2026-01-01T00:00:00.000Z",
            "expectedDispatch": "2026-01-01T00:00:00.000Z",
            "quantity": 1,
            "supplierOrderReference": "text",
            "receivedAt": "2026-01-01T00:00:00.000Z"
          }
        }
      },
      "unitPrice": 1,
      "receivementItems": [
        {
          "receivementUid": "text",
          "receivementStatus": "RECEIVED",
          "invoiceApproval": {
            "approvedAt": "2026-01-01T00:00:00.000Z",
            "tenantUserUid": "text",
            "tenantUserDisplayName": "text"
          },
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "externalId": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "product": {
            "productUid": "text",
            "name": "text",
            "sku": "text"
          },
          "purchaseOrderItemUid": "text",
          "quantity": 1,
          "unitCost": 1,
          "receivementItemUid": "text",
          "serialnumber": "text",
          "status": "text",
          "note": "text",
          "tenantUserUid": "text",
          "tenantUserDisplayName": "text",
          "reservations": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "quantity": 1,
              "reservationType": "NONE"
            }
          ]
        }
      ],
      "discountAmount": 1,
      "freightAmount": 1,
      "unitCost": 1,
      "totalLinePrice": 1,
      "localCurrency": {
        "unitPrice": 1,
        "discountAmount": 1,
        "freightAmount": 1,
        "unitCost": 1,
        "totalLinePrice": 1
      },
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ],
      "note": "text",
      "sortOrder": 1,
      "purchaseOrderItemLinks": [
        {
          "purchaseOrderItemUid": "text",
          "type": "PACKAGE"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "note": "text",
  "purchaseNumber": "text",
  "purchaseOrderUid": "text",
  "status": "NEW",
  "storeUid": "text",
  "storeName": "text",
  "supplierUid": "text",
  "supplierName": "text",
  "discountRate": 1,
  "freight": 1,
  "currency": {
    "code": "text",
    "exchangeRate": 1
  },
  "supplierReferenceNumber": "text",
  "invoiceAddress": {
    "companyName": "text",
    "address": "text",
    "postalCode": "text",
    "city": "text",
    "countryCode": "text",
    "vatNumber": "text",
    "email": "text"
  },
  "reserveAfter": "2026-01-01T00:00:00.000Z",
  "interStoreSalesOrder": {
    "orderUid": "text",
    "orderNumber": "text",
    "orderState": "OPEN",
    "storeUid": "text",
    "storeName": "text"
  },
  "hasConfirmedReceivements": true
}

Last updated

Was this helpful?